HanMacWrdKGraphInternal::Frame Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
HanMacWrdKGraphInternal::Frame Struct Reference

Internal: the frame header of a HanMacWrdKGraph. More...

Inheritance diagram for HanMacWrdKGraphInternal::Frame:

## Public Member Functions
| Frame ()
| constructor More...
virtual | ~Frame ()
| destructor More...
MWAWBox2f | getBdBox () const
| return the frame bdbox More...

## Public Attributes
int | m_type
| the graph type More...
long | m_fileId
| the file id More...
long | m_fileSubId
| the file sub id More...
int | m_id
| the local id More...
int | m_page
| the page More...
MWAWBox2f | m_pos
| the position More...
float | m_baseline
| the baseline More...
int | m_posFlags
| the graph anchor flags More...
MWAWGraphicStyle | m_style
| the style More...
int | m_borderType
| the border type More...
MWAWVec2f | m_borders [4]
| the border default size (before using width), 0 means Top, other unknown More...
bool | m_inGroup
| true if the frame is a child of a group More...
bool | m_parsed
| true if we have send the data More...
std::string | m_extra
| an extra string More...

## Friends
std::ostream & | operator<< (std::ostream &o, Frame const &grph)
| operator<< More...

## Detailed Description

Internal: the frame header of a HanMacWrdKGraph.

## Constructor & Destructor Documentation

HanMacWrdKGraphInternal::Frame::Frame | ( |  | ) |
| inline

constructor

HanMacWrdKGraphInternal::Frame::~Frame | ( |  | ) |
| virtual

destructor

Referenced by Frame().

## Member Function Documentation

MWAWBox2f HanMacWrdKGraphInternal::Frame::getBdBox | ( |  | ) | const
| inline

return the frame bdbox

Referenced by HanMacWrdKGraph::sendFrame(), HanMacWrdKGraph::sendGroup(), HanMacWrdKGraph::sendGroupChild(), HanMacWrdKGraph::sendPictureFrame(), HanMacWrdKGraph::sendShapeGraph(), and HanMacWrdKGraph::sendTextBox().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Frame const & | grph
| ) |  |
| friend

operator<<

Referenced by getBdBox(), and HanMacWrdKGraphInternal::TableCell::TableCell().

## Member Data Documentation

float HanMacWrdKGraphInternal::Frame::m_baseline

the baseline

Referenced by HanMacWrdKGraphInternal::operator<<(), and HanMacWrdKGraph::readFrames().

MWAWVec2f HanMacWrdKGraphInternal::Frame::m_borders[4]

the border default size (before using width), 0 means Top, other unknown

Referenced by HanMacWrdKGraphInternal::TextBox::addTo(), HanMacWrdKGraphInternal::operator<<(), and HanMacWrdKGraph::readFrames().

int HanMacWrdKGraphInternal::Frame::m_borderType

the border type

Referenced by HanMacWrdKGraphInternal::TextBox::addTo(), HanMacWrdKGraphInternal::operator<<(), and HanMacWrdKGraph::readFrames().

std::string HanMacWrdKGraphInternal::Frame::m_extra

an extra string

Referenced by HanMacWrdKGraphInternal::operator<<(), and HanMacWrdKGraph::readFrames().

long HanMacWrdKGraphInternal::Frame::m_fileId

the file id

Referenced by HanMacWrdKGraphInternal::TextBox::addTo(), HanMacWrdKGraphInternal::operator<<(), HanMacWrdKGraph::readFrames(), HanMacWrdKGraphInternal::TableCell::sendContent(), HanMacWrdKGraph::sendFrame(), and HanMacWrdKGraph::sendPictureFrame().

long HanMacWrdKGraphInternal::Frame::m_fileSubId

the file sub id

Referenced by HanMacWrdKGraph::checkGroupStructures(), and HanMacWrdKGraph::prepareStructures().

int HanMacWrdKGraphInternal::Frame::m_id

the local id

Referenced by HanMacWrdKGraphInternal::SubDocument::operator!=(), HanMacWrdKGraphInternal::operator<<(), HanMacWrdKGraphInternal::SubDocument::parse(), HanMacWrdKGraph::readFrames(), and HanMacWrdKGraphInternal::TableCell::sendContent().

bool HanMacWrdKGraphInternal::Frame::m_inGroup

true if the frame is a child of a group

Referenced by HanMacWrdKGraph::checkGroupStructures(), HanMacWrdKGraphInternal::operator<<(), HanMacWrdKGraph::prepareStructures(), HanMacWrdKGraph::readFrames(), and HanMacWrdKGraph::sendPageGraphics().

int HanMacWrdKGraphInternal::Frame::m_page

the page

Referenced by HanMacWrdKGraph::canCreateGraphic(), HanMacWrdKGraphInternal::operator<<(), HanMacWrdKGraph::readFrames(), HanMacWrdKGraph::sendGroupChild(), and HanMacWrdKGraph::sendPageGraphics().

bool HanMacWrdKGraphInternal::Frame::m_parsed
| mutable

true if we have send the data

Referenced by HanMacWrdKGraph::flushExtra(), HanMacWrdKGraph::sendFrame(), HanMacWrdKGraph::sendGroup(), HanMacWrdKGraph::sendGroupChild(), and HanMacWrdKGraph::sendPageGraphics().

MWAWBox2f HanMacWrdKGraphInternal::Frame::m_pos

the position

Referenced by getBdBox(), HanMacWrdKGraphInternal::SubDocument::operator!=(), HanMacWrdKGraphInternal::operator<<(), HanMacWrdKGraphInternal::SubDocument::parse(), HanMacWrdKGraphInternal::Picture::Picture(), HanMacWrdKGraph::readFrames(), HanMacWrdKGraph::sendGroupChild(), and HanMacWrdKGraph::sendPageGraphics().

int HanMacWrdKGraphInternal::Frame::m_posFlags

the graph anchor flags

Referenced by HanMacWrdKGraphInternal::operator<<(), and HanMacWrdKGraph::readFrames().

MWAWGraphicStyle HanMacWrdKGraphInternal::Frame::m_style

the style

Referenced by HanMacWrdKGraphInternal::TextBox::addTo(), HanMacWrdKGraphInternal::ShapeGraph::getStyle(), HanMacWrdKGraphInternal::operator<<(), HanMacWrdKGraph::readFrames(), HanMacWrdKGraph::sendFrame(), HanMacWrdKGraph::sendGroup(), and HanMacWrdKGraph::sendGroupChild().

int HanMacWrdKGraphInternal::Frame::m_type

the graph type

Referenced by HanMacWrdKGraphInternal::TextBox::addTo(), HanMacWrdKGraph::canCreateGraphic(), HanMacWrdKGraph::checkGroupStructures(), HanMacWrdKGraph::flushExtra(), HanMacWrdKGraph::getTextFrameInformations(), HanMacWrdKGraphInternal::SubDocument::operator!=(), HanMacWrdKGraphInternal::operator<<(), HanMacWrdKGraphInternal::SubDocument::parse(), HanMacWrdKGraph::prepareStructures(), HanMacWrdKGraph::readFrames(), HanMacWrdKGraph::sendFrame(), HanMacWrdKGraph::sendGroup(), HanMacWrdKGraph::sendGroupChild(), HanMacWrdKGraph::sendPageGraphics(), and HanMacWrdKGraph::sendTextBox().

The documentation for this struct was generated from the following file:

- HanMacWrdKGraph.cxx